org.apache.xmlbeans.impl.schema

## Class StscResolver

- java.lang.Object
- - org.apache.xmlbeans.impl.schema.StscResolver

-     public class StscResolver
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StscResolver()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `resolveAll()` Does a topo walk of all the types to resolve them.
    `static void` | `resolveAttributeType(SchemaTypeImpl sImpl)`
    `static void` | `resolveDocumentType(SchemaTypeImpl sImpl)`
    `static void` | `resolveIdentityConstraints()`
    `static boolean` | `resolveSubstitutionGroup(SchemaTypeImpl sImpl)`
    `static boolean` | `resolveType(SchemaTypeImpl sImpl)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StscResolver

          public StscResolver()

  - ### Method Detail

    - #### resolveAll

          public static void resolveAll()

      Does a topo walk of all the types to resolve them.

    - #### resolveType

          public static boolean resolveType(SchemaTypeImpl sImpl)

    - #### resolveSubstitutionGroup

          public static boolean resolveSubstitutionGroup(SchemaTypeImpl sImpl)

    - #### resolveDocumentType

          public static void resolveDocumentType(SchemaTypeImpl sImpl)

    - #### resolveAttributeType

          public static void resolveAttributeType(SchemaTypeImpl sImpl)

    - #### resolveIdentityConstraints

          public static void resolveIdentityConstraints()